<mat-toolbar color="primary">
  <mat-toolbar-row>
    <h1 id="logo" (click)="navigate('/mainpage')">Movies</h1>
    <button mat-button (click)="navigate('/movies')">Filmy</button>

    <button mat-button *ngIf="!isAuthorized()" (click)="navigate('/login')">Zaloguj</button>
    <button mat-button *ngIf="!isAuthorized()" (click)="navigate('/register')">Zarejestruj</button>
    <button mat-button *ngIf="isAuthorized()" (click)="logout()">
      <span> {{username}} <b>Wyloguj</b></span>
    </button>
  </mat-toolbar-row>
</mat-toolbar>
<div class="container">
  <router-outlet></router-outlet>
</div>
